simulation = 0
import sqlite3
#connection to the database mydb.db & creating a cursor to get access to it
conn=sqlite3.connect('C:/Python34/data/mydb.db')
cursor=conn.cursor()
cursor.execute("""DROP TABLE EnergyProduction""")
cursor.execute("""DROP TABLE EnergyConsumption""")
cursor.execute("""DROP TABLE PricingScheme""")
cursor.execute("""DROP TABLE PowerUse""")
cursor.execute("""DROP TABLE BatteryLevel""")
conn.commit()
#
#  POWER PRODUCTION TABLE
cursor.execute("""CREATE TABLE EnergyProduction(Time REAL, P_solar REAL, P_wind REAL, P_hydro REAL, P_maingrid REAL)""")
count = 0
while (count <= 1440):
    cursor.execute("""INSERT INTO EnergyProduction(Time, P_solar, P_wind, P_hydro, P_maingrid) VALUES (?, ?, ?, ?, ?)""", (count, 0, 0, 0, 0)) #time in minutes, from 00 to 24 hours with a 10 minutes timestep
    count = count + 10
conn.commit()
cursor.execute("""SELECT rowid FROM EnergyProduction""")
numberofrows = cursor.fetchall()
for row in range(len(numberofrows)):
    index=numberofrows[row][0]
    cursor.execute("""UPDATE EnergyProduction SET P_solar = (SELECT SolarPowerkW FROM PV WHERE rowid = ?) WHERE rowid=?""", (index, index)) #kW
    cursor.execute("""UPDATE EnergyProduction SET P_wind = (SELECT WindPowerkW FROM Wind WHERE rowid = ?) WHERE rowid=?""", (index, index))#kW
    cursor.execute("""UPDATE EnergyProduction SET P_maingrid = (SELECT ProductionkW FROM ProdStatnett WHERE rowid = ?) WHERE rowid=?""", (index, index))#kW
conn.commit()
#
# POWER USE TABLE
# it will give the power volume use of each energy resource at each instant
cursor.execute("""CREATE TABLE PowerUse(Time REAL, P_solar REAL, P_wind REAL, P_hydro REAL, P_ev, P_maingrid REAL)""")
count = 0
while (count <= 1440):
    cursor.execute("""INSERT INTO PowerUse(Time, P_solar, P_wind, P_hydro, P_ev, P_maingrid) VALUES (?, ?, ?, ?, ?, ?)""", (count, 0, 0, 0, 0, 0)) #in kW
    count = count + 10
conn.commit()
#
#  POWER CONSUMPTION TABLE
cursor.execute("""CREATE TABLE EnergyConsumption(Time REAL, P_mustrun REAL, P_dishwasher REAL, P_wash REAL, P_EV REAL)""")
count = 0
while (count <= 1440):
    cursor.execute("""INSERT INTO EnergyConsumption(Time, P_mustrun, P_dishwasher, P_wash, P_EV) VALUES (?, ?, ?, ? ,?)""", (count, 0, 0, 0, 0))#time in minutes, kW
    count = count + 10
conn.commit()
cursor.execute("""SELECT rowid FROM EnergyConsumption""")
numberofrows = cursor.fetchall()
for row in numberofrows:
    cursor.execute("""UPDATE EnergyConsumption SET P_mustrun = (SELECT ConsumptionkW FROM ConsAuburn WHERE rowid = ?) WHERE rowid=?""", (row[0], row[0])) #kW
conn.commit()
#
#BATTERY LEVEL TABLE
cursor.execute("""CREATE TABLE BatteryLevel(Time REAL, EV REAL, HYDRO REAL)""")
count = 0
while (count <= 1440):
    cursor.execute("""INSERT INTO BatteryLevel(Time, EV, HYDRO) VALUES (?, ?, ?)""", (count, 0, 0)) #in minutes and kWh
    count = count + 10
conn.commit()
#
# COST TABLE?
cursor.execute("""CREATE TABLE PricingScheme(Time REAL, CostSolar REAL, CostWind REAL, CostHydro REAL, CostEV REAL, CostMainGrid REAL)""")
count = 0
while (count <= 1440):
    cursor.execute("""INSERT INTO PricingScheme(Time, CostSolar, CostWind, CostHydro, CostEV, CostMainGrid) VALUES (?, ?, ?, ?, ?, ?)""", (count, 0, 0, 0, 0, 0))
    count = count + 10
conn.commit()
cursor.execute("""SELECT rowid FROM PricingScheme""")
numberofrows = cursor.fetchall()
for row in numberofrows:
    cursor.execute("""UPDATE PricingScheme SET CostSolar = ? WHERE rowid = ?""", (0.10, row[0]))
    cursor.execute("""UPDATE PricingScheme SET CostWind = ? WHERE rowid = ?""", (0.12, row[0]))
    cursor.execute("""UPDATE PricingScheme SET CostHydro = ? WHERE rowid = ?""", (0.20, row[0]))
    cursor.execute("""UPDATE PricingScheme SET CostEV = ? WHERE rowid = ?""", (0.15, row[0]))
    cursor.execute("""UPDATE PricingScheme SET CostMainGrid = (SELECT PriceNOKkWh FROM PriceMG WHERE rowid = ?) WHERE rowid=?""", (row[0], row[0]))
conn.commit()
#all tables are created, we can close the database
conn.close()